<h1>{{this.childMessage.storyTitle}} Game</h1>
<div>
  <form clrForm [formGroup]="hostForm" (ngSubmit)="startGame()" >
      
      <clr-input-container>
        <label>Fill in the Class Name to continue</label>
        <input type="text" clrInput placeholder="Fill in the Class Name" formControlName="className" maxlength="10"/>
      </clr-input-container>
      
    <button type="submit" class="btn btn-outline" [disabled]="hostForm.invalid">Start Game</button>
  
</form>

<clr-modal [(clrModalOpen)]="openResultModal" >
  <div class="modal-body">
    <div *ngIf="openResultModal">
      <app-results [gameCode]="gameCode" ></app-results>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openResultModal = false">Close</button>
  </div>
</clr-modal>
